VERSION 5.00
Begin VB.Form frmTest 
   Caption         =   "Test StdShellLib"
   ClientHeight    =   5850
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8280
   LinkTopic       =   "Form1"
   ScaleHeight     =   5850
   ScaleWidth      =   8280
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdTest2 
      Caption         =   "Test &DOS Commands"
      Height          =   615
      Left            =   120
      TabIndex        =   3
      Top             =   840
      Width           =   2775
   End
   Begin VB.TextBox txtOutput 
      Height          =   4215
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   1560
      Width           =   8055
   End
   Begin VB.CommandButton cmdTest1 
      Caption         =   "Test &Console Application"
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2775
   End
   Begin VB.Label lblMessage 
      Height          =   1215
      Left            =   3000
      TabIndex        =   2
      Top             =   120
      Width           =   5175
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private WithEvents std1 As StdShellLib.StdShell

Private Sub cmdTest1_Click()

    Open "c:\test.bat" For Output As #1
    Print #1, "@echo off"
    Print #1, "dir c:\ /w"
    Close #1
    If std1.Execute("c:\test.bat") Then
        txtOutput.Text = ""
    End If
End Sub

Private Sub cmdTest2_Click()

    If std1.Execute("CMD.EXE") Then
        txtOutput.Text = ""
        std1.WriteConsole "cd\" & vbCrLf & "dir/w" & vbCrLf & "exit" & vbCrLf
    Else
        If std1.Execute("COMMAND.COM") Then
            txtOutput.Text = ""
            std1.WriteConsole "cd\" & vbCrLf & "dir/w" & vbCrLf & "exit" & vbCrLf
        End If
    End If
End Sub

Private Sub Form_Load()

    lblMessage.Caption = "This test project uses the StdIO Shell Library (StdShellLib.DLL) to shell to either CMD.EXE (WinNT/Win2K) or COMMAND.COM (Win9x) and will get the directory of files from c:\" & vbCrLf & "This example demonstrates how to use DOS commands through this project. It can also shell console applications instead of CMD.EXE or COMMAND.COM and interact just as easily."
    Set std1 = New StdShellLib.StdShell
End Sub

Private Sub Form_Unload(Cancel As Integer)

    Set std1 = Nothing
End Sub

Private Sub std1_ConsoleError(ByVal Output As String)

    '
End Sub

Private Sub std1_ConsoleOutput(ByVal Output As String)

    txtOutput.Text = txtOutput.Text & Output
End Sub

Private Sub std1_Error(ByVal ErrorNumber As Long, ByVal ErrorMessage As String)

    MsgBox "Error occured: " & ErrorNumber & vbCrLf & ErrorMessage, vbOKOnly Or vbCritical Or vbDefaultButton1, "Errors Occured"
End Sub

Private Sub std1_ProcessComplete(ByVal ExitCode As Long)

    Debug.Print "Process Completed - " & ExitCode
End Sub
